petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSMonitorEnvelope

Monitors the maximum and minimum value of each component of the solution

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorEnvelope(TS ts,PetscInt step,PetscReal ptime,Vec u,void *dctx)

Collective on TS Many br

### Input Parameters

| ts | - the TS context Many br
| step | - current time-step Many br
| ptime | - current time Many br
| u | - current solution Many br
| dctx | - the envelope context Many br

### Options Database

-ts_monitor_envelope - Many br Many br

Notes: after a solve you can use TSMonitorEnvelopeGetBounds() to access the envelope Many br

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSMonitorEnvelopeGetBounds(), TSMonitorEnvelopeCtxCreate()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages